be.cin.mycarenet.esb.common.v2

## Class CareProviderType

- java.lang.Object
- - be.cin.mycarenet.esb.common.v2.CareProviderType

- All Implemented Interfaces:
    Serializable

      @Generated(value="com.sun.tools.xjc.Driver",
                 date="2025-10-31T09:56:01+01:00",
                 comments="JAXB RI v2.3.7")
      public class CareProviderType
      extends Object
      implements Serializable

  Information about a care provider. This is a person or institution that provides health care service to persons. It may be represented by an alternate person that can be mentionned in the sender element.

  Java class for CareProviderType complex type.

  The following schema fragment specifies the expected content contained within this class.

       <complexType name="CareProviderType">
         <complexContent>
           <restriction base="{http://www.w3.org/2001/XMLSchema}anyType">
             <sequence>
               <element name="Nihii" type="{urn:be:cin:mycarenet:esb:common:v2}NihiiType" minOccurs="0"/>
               <element name="PhysicalPerson" type="{urn:be:cin:mycarenet:esb:common:v2}IdType" minOccurs="0"/>
               <element name="Organization" type="{urn:be:cin:mycarenet:esb:common:v2}IdType" minOccurs="0"/>
             </sequence>
           </restriction>
         </complexContent>
       </complexType>

  See Also:
    Serialized Form

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `CareProviderType()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `NihiiType` | `getNihii()` Gets the value of the nihii property.
    `IdType` | `getOrganization()` Gets the value of the organization property.
    `IdType` | `getPhysicalPerson()` Gets the value of the physicalPerson property.
    `void` | `setNihii(NihiiType value)` Sets the value of the nihii property.
    `void` | `setOrganization(IdType value)` Sets the value of the organization property.
    `void` | `setPhysicalPerson(IdType value)` Sets the value of the physicalPerson property.

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### CareProviderType

          public CareProviderType()

  - ### Method Detail

    - #### getNihii

          public NihiiType getNihii()

      Gets the value of the nihii property.
      Returns:
        possible object is `NihiiType`

    - #### setNihii

          public void setNihii(NihiiType value)

      Sets the value of the nihii property.
      Parameters:
        `value` - allowed object is `NihiiType`

    - #### getPhysicalPerson

          public IdType getPhysicalPerson()

      Gets the value of the physicalPerson property.
      Returns:
        possible object is `IdType`

    - #### setPhysicalPerson

          public void setPhysicalPerson(IdType value)

      Sets the value of the physicalPerson property.
      Parameters:
        `value` - allowed object is `IdType`

    - #### getOrganization

          public IdType getOrganization()

      Gets the value of the organization property.
      Returns:
        possible object is `IdType`

    - #### setOrganization

          public void setOrganization(IdType value)

      Sets the value of the organization property.
      Parameters:
        `value` - allowed object is `IdType`

Connector Packaging OTMOBILITYIMPROVEMENT 4.8.4 API
Copyright © {inceptionYear}-2025 eHealth. All Rights Reserved.